axis-c-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sanjaya Ratnaweera (JIRA)" <>
Subject [jira] Commented: (AXIS2C-1340) There seems to be no way to install Axis2 in an FHS compliant way
Date Wed, 28 Jan 2009 09:56:59 GMT


Sanjaya Ratnaweera commented on AXIS2C-1340:

AFAIK  "/opt" is reserved for the installation of add-on applications. 

check Chapter 3.13 (Page 13 of this)



> There seems to be no way to install Axis2 in an FHS compliant way
> -----------------------------------------------------------------
>                 Key: AXIS2C-1340
>                 URL:
>             Project: Axis2-C
>          Issue Type: Bug
>          Components: build system (Unix/Linux)
>    Affects Versions: 1.5.0
>         Environment: Ubuntu 9.04
>            Reporter: Soren Hansen
>            Priority: Blocker
> I need to be able to install Axis2/C in a way the complies to the FHS: Shared libraries
in /usr/lib , public header files in /usr/include, configuration files under /etc/, Axis2
modules probably in /usr/lib/axis2c/ or something...  As far as I can see, the only supported
installation and use method for Axis2/C is in its own separate directory (/opt/ style), and
then keeping an environment variable set to track this location. This is not acceptable for
inclusion in Ubuntu or Debian, which makes it impossible for us to package not just Axis2/C,
but also anything that depends on it.
> I've spent hours trying to subscribe to your mailing list to discuss this, but your mailing
list system seems to just ignore me, so I see no other way than to simply file this bug report.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message